<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <property resource="context.properties"/>

    <appender name="consoleToFile" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${log.base}/ACS3.log</file>
        <append>true</append>
        <!--
          ============================================================
           로그 파일 롤링 정책
          ============================================================
          1. 로그 파일 최대 크기는 30MB
          2. 로그 파일 백업 위치는 로그폴더/년/월/일/로그파일.인덱스
          3. 로그 파일 보관 기간은 30일
        -->
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>${log.base}/%d{yy,aux}/%d{MM,aux}/%d{dd}/ACS3.log.%i</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <maxFileSize>100MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
            <maxHistory>60</maxHistory>
        </rollingPolicy>
        <encoder>
            <pattern>%d{yy-MM-dd HH:mm:ss.SSS}|%-5p|%-12.12t|%20.20(%logger{0}:%L) - %msg%n</pattern>
        </encoder>
    </appender>

    <appender name="statLog" class="ch.qos.logback.core.rolling.RollingFileAppender">

        <!--
          ============================================================
           로그 파일 롤링 정책
          ============================================================
          1. 로그 파일 최대 크기는 30MB
          2. 로그 파일 백업 위치는 로그폴더/년/월/일/로그파일.인덱스
          3. 로그 파일 보관 기간은 30일
        -->
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>${watch.stat.base}/${HOSTNAME}_${ems.log.svc.svrkey}_${ems.log.svc.svr_instance}_%d{yyyyMMddHH}00.log</fileNamePattern>
        </rollingPolicy>
        <encoder>
            <pattern>%d{yyyyMMddHHmmss},${HOSTNAME},${ems.log.svc.svrkey},${ems.log.svc.svr_instance},%msg%n</pattern>
        </encoder>
    </appender>

    <logger name="com.tisquare">
        <level value="INFO"/>
    </logger>

    <logger name="org.springframework">
        <level value="ERROR"/>
    </logger>

    <logger name="org.apache.mina">
        <level value="ERROR"/>
    </logger>
    <logger name="org.apache.http">
        <level value="ERROR"/>
    </logger>
    <logger name="org.apache.http.wire">
        <level value="ERROR"/>
    </logger>

    <logger name="org.apache.http.client">
        <level value="ERROR"/>
    </logger>

    <logger name="com.tisquare.mvp.mcs.db" level="error"/>

    <logger name="STAT_LOGGER" level="debug">
        <appender-ref ref="statLog"/>
    </logger>

    <root>
        <level value="INFO"/>
        <appender-ref ref="consoleToFile"/>
    </root>

</configuration>
